Package nl.tue.id.datafoundry

# Class DataFoundry

java.lang.Object
nl.tue.id.datafoundry.DataFoundry

    public class DataFoundry
    extends java.lang.Object

Java client API for Data Foundry This mini-library allows to access IoT and Entity datasets on a Data Foundry server. That is, to log IoT data and to access items of an Entity dataset: get, add, update, and delete.

`// fill in the Data Foundry server URL, just the domain (add port if needed)
DataFoundry df = new DataFoundry("server.url.com");
// create dataset access
DFDataset iot = df.dataset(2, "tokentokentokentokentoken1234567890+++");
// log to IoT dataset
iot.device("d123456789").activity("indoor_measurement").data("temperature", 34).data("door", "open").log();
// create dataset access
DFDataset entity = df.dataset(15, "tokentokentokentokentoken1234567890+++");
// create dataset item access
DFDataset item = df.dataset(15, "tokentokentokentokentoken1234567890+++").id("userX").token("nosecrets");
// access Entity dataset
// add an item
item.data("temperature", 34).data("door", "open").add();
// get an item
Map<String, Object> itemData = item.get();
// update an item
item.data("temperature", 32).update();
// delete an item
item.delete();
`

Author:
  Mathias Funk, 2020

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DataFoundry​(java.lang.String server)` | create a data foundry connection

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DFDataset` | `dataset​(long id, java.lang.String token)` | create access to a dataset with a given `id` and HTTP access `token`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataFoundry

    public DataFoundry​(java.lang.String server)
    create a data foundry connection
    Parameters:
      `server` -

- ## Method Details

  - ### dataset

    public DFDataset dataset​(long id, java.lang.String token)
    create access to a dataset with a given `id` and HTTP access `token`
    Parameters:
      `id` -
      `token` -
    Returns: